nxt.db

## Class ValuesDbTable<T,V>

- java.lang.Object
- - nxt.db.DerivedDbTable
  - - nxt.db.TrimmableDbTable<T>
    - - nxt.db.ValuesDbTable<T,V>

- Direct Known Subclasses:
    VersionedValuesDbTable

      public abstract class ValuesDbTable<T,V>
      extends TrimmableDbTable<T>

- - ### Field Summary

    - ### Fields inherited from class nxt.db.TrimmableDbTable

      `dbKeyFactory`

    - ### Fields inherited from class nxt.db.DerivedDbTable

      `db, table`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ValuesDbTable(java.lang.String table, DbKey.Factory<T> dbKeyFactory)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `clearCache()`
    `java.util.List<V>` | `get(DbKey dbKey)`
    `void` | `insert(T t, java.util.List<V> values)`
    `protected abstract V` | `load(java.sql.Connection con, java.sql.ResultSet rs)`
    `protected abstract void` | `save(java.sql.Connection con, T t, V v)`

    - ### Methods inherited from class nxt.db.TrimmableDbTable

      `canBeTrimmed, popOffTo, trim`

    - ### Methods inherited from class nxt.db.DerivedDbTable

      `createSearchIndex, isPersistent, rollback, toString, truncate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValuesDbTable

          protected ValuesDbTable(java.lang.String table,
                                  DbKey.Factory<T> dbKeyFactory)

  - ### Method Detail

    - #### load

          protected abstract V load(java.sql.Connection con,
                                    java.sql.ResultSet rs)
                             throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### save

          protected abstract void save(java.sql.Connection con,
                                       T t,
                                       V v)
                                throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### clearCache

          protected void clearCache()

    - #### get

          public final java.util.List<V> get(DbKey dbKey)

    - #### insert

          public final void insert(T t,
                                   java.util.List<V> values)